/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.cache.statetransfer;

/**
 * A StateTransfer123Test.
 * 
 * @author <a href="mailto://brian.stansberry@jboss.com">Brian Stansberry</a>
 * @version $Revision$
 */
public class StateTransfer123Test extends VersionedTestBase
{

   
   public void testConcurrentActivationAsync() throws Exception
   {
      // meaningless with version 123
   }

   public void testConcurrentActivationSync() throws Exception
   {
      // meaningless with version 123
   }

   public void testConcurrentUseAsync() throws Exception
   {
      // meaningless with version 123
   }

   public void testConcurrentUseSync() throws Exception
   {
      // meaningless with version 123
   }

   public void testLoadEntireStateAfterStart() throws Exception
   {
      // meaningless with version 123
   }

   public void testPartialStateTferWithClassLoader() throws Exception
   {
      // meaningless with version 123
   }

   public void testPartialStateTferWithLoader() throws Exception
   {
      // meaningless with version 123
   }

   public void testPartialStateTransfer() throws Exception
   {
      // meaningless with version 123
   }
   
   protected String getReplicationVersion()
   {
      return "1.2.3";
   }

}
